<?php
   $testdir = @opendir('tests');
   if($testdir) {
      $dirs = Array();
      while(false !== ($dir = readdir($testdir)))
         if(substr($dir, 0, 1) != '.' 
         && $dir != 'CVS'
         && is_dir("tests/{$dir}"))
            $dirs[] = $dir;
      
      sort($dirs);
      reset($dirs);
      while($dir = each($dirs)) {
         $dir = $dir[1];
         echo "
            <h2>
               {$dir}
            </h2>
            <ul>
               <li>
                  <a href=\"tests/{$dir}/index.php\">
                     Read about the test
                  </a>
               </li>
               <li>
                  <a href=\"tests/{$dir}/test.php\">
                     Launch the {$dir} test in non-debugging mode
                  </a>
               </li>
               <li>
                  <a href=\"../StartSession.php?gbdScript=" . dirname($_SERVER['SCRIPT_NAME']) . "/tests/{$dir}/test.php\">
                     Launch the {$dir} test with Gubed activated
                  </a>
               </li>
             ";
         if(is_dir('../develop')) {
            echo " 
               <li>
                  <a href=\"../develop/diffdisplay.php?file=" . realpath("./tests/{$dir}/test.php") . "\">
                     View parsed code
                  </a>
               </li>
            ";
         }
         
         echo " 
            </ul>
            ";
      } 
   }             
?>
