/*
 * Copyright (C) 2004 by Linus McCabe
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef WXCLIENTGLOBAL_H
#define WXCLIENTGLOBAL_H


#define PROGNAME "Gubed PHP Debugger"
#define PROTOCOLVER "0.0.12"
#define GUBEDRELEASE "0.2.2"
#define PROGVERSION "0.2.2"
#define PROGNAMEVER PROGNAME " v" PROGVERSION " part of Gubed Release " GUBEDRELEASE

#include <wx/wx.h>
#include <wx/hashmap.h>

WX_DECLARE_STRING_HASH_MAP( wxString,      // type of the values
                            StringHash ); // name of the class
  
StringHash CompileHash(char *a, ...);
                            
namespace ExecutionStates
{
  enum State
  {
    Pause,
    Trace,
    Run
  };
}


#endif
