<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

   <head>
      <title>About the Errors test</title>
      <meta name="GENERATOR" content="Quanta Plus">
      <meta name="AUTHOR" content="Linus McCabe">
      <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
      <link rel="stylesheet" type="text/css" href="../../../default.css" />
   </head>
   <body>
   
      <h1>
         Error handling test
      </h1>
      <h2>
         About
      </h2>
      <p>
         This script is for testing error handling in Gubed.
      </p>
      <p>
         Depending on how you configure your client, Gubed will halt on different kinds of errors. You can chose
         to halt on notices, warnings, user notices, user warnings and user errors. Gubed can not handle fatal PHP
         errors, those will always break the script (like syntax errors, redefinition of classes, etc).
      </p>
      <p>
         When running the test, you can check the different checkboxes and submit, to reload the script with different
         errors trigged.
      </p>
      <p>
         If Gubed is running, it will only halt on errors you've set it to halt on in the configuration. If Gubed is tracing, or 
         if you're singlestepping, Gubed will report all kinds of errors but it will only halt on the ones you've configured
         it to. This way, you can fix minor issues like undefined variables or other things that would trigger notices.
      </p>
      <h2>
         Run the test
      </h2>
      <ul>
         <li>
            <a href="test.php">Run without debugged activated</a>
         </li>
         <li>
            <a href="../../../StartSession.php?gbdScript=<?php echo dirname($_SERVER['SCRIPT_NAME']) . "/test.php"; ?>">Run with debugger activated</a>
         </li>
      </ul>
      <h2>
         Source code
      </h2>
      <h3>
         test.php
      </h3>
      <?php
         highlight_file('test.php');
      ?>
   </body>
</html>
